      subroutine get_map_dimensions(fname, ncol, nrow, nsec, 
     $     pixelsize, ierr)

C     Determines the dimensions and pixel size for a map

      implicit none

      include '../include/pifhead.inc'
      type (pifhead_t) maphead

      character(len=257), intent(in) :: fname
      integer, intent(out)      :: ncol, nrow, nsec
      integer, intent(out)      :: ierr
      real, intent(out)         :: pixelsize

      maphead%lunum  = 1
      call pif_open (fname, maphead%lunum, 'r')
      call pif_read_gh (maphead)

      if(maphead%mode.ne.20 .and. maphead%mode.ne.40) then
         ierr = 1
      else
         ierr = 0
      endif

      maphead%imgnum = 1
      call pif_read_dh (maphead)
      ncol  = maphead%numcols
      nrow  = maphead%numrows
      nsec  = maphead%numsecs
      pixelsize = maphead%pixelsize

      call pif_close (1)

      return
      end subroutine get_map_dimensions
